"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Events_1 = require("../../model/Events");
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
class AvatarActionLoggerFeature extends aframe_typescript_boilerplate_1.AbstractFeature {
    constructor(controller, entity) {
        super("expression-controller", controller, entity);
    }
    init() {
        this.addEventListener(Events_1.Events.EVENT_ACTION, (detail) => {
            console.log("avatar action: " + detail.action + ": " + detail.description);
        });
    }
    update(data, oldData) {
    }
    remove() {
    }
    pause() {
    }
    play() {
    }
    tick(time, timeDelta) {
    }
}
AvatarActionLoggerFeature.DEFINITION = (controller, entity) => { return new AvatarActionLoggerFeature(controller, entity); };
exports.AvatarActionLoggerFeature = AvatarActionLoggerFeature;
//# sourceMappingURL=AvatarActionLoggerFeature.js.map