"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AnimationFeature_1 = require("../../feature/animation/AnimationFeature");
const ExpressionFeature_1 = require("../../feature/animation/ExpressionFeature");
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
class AvatarController extends aframe_typescript_boilerplate_1.CompositeComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
    }
    init() {
        this.addFeature(new ExpressionFeature_1.ExpressionFeature(this, this.entity));
        this.addFeature(new AnimationFeature_1.AnimationFeature(this, this.entity));
        super.init();
    }
    tick(time, timeDelta) {
        super.tick(time, timeDelta);
    }
}
AvatarController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("avatar", {}, false, true, (component, entity, data) => new AvatarController(component, entity, data));
exports.AvatarController = AvatarController;
//# sourceMappingURL=AvatarController.js.map