import { Component, Entity } from "aframe";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
import { CodeRealityComponentController } from "../CodeRealityComponentController";
export declare class CollidableController extends CodeRealityComponentController {
    static DEFINITION: ComponentControllerDefinition;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
}
