"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
class IdentityController extends aframe_typescript_boilerplate_1.AbstractComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
    }
    init() {
        //console.log(this.componentName + " init");
        fetch('/api/users/current', {
            credentials: 'same-origin'
        })
            .then((response) => {
            response.json().then((data) => {
                //console.log(data);
                this.entity.setAttribute("label", "text:" + data.name + "; height:1.2;");
            });
        }).catch((err) => {
            console.error(err);
        });
    }
    update(data, oldData) {
        //console.log(this.componentName + " update");
    }
    remove() {
        //console.log(this.componentName + " remove");
    }
    pause() {
        //console.log(this.componentName + " pause");
    }
    play() {
        //console.log(this.componentName + " play");
    }
    tick(time, timeDelta) {
    }
}
IdentityController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("identity", {}, false, false, (component, entity, data) => new IdentityController(component, entity, data));
exports.IdentityController = IdentityController;
//# sourceMappingURL=IdentityController.js.map