import { Component, Entity } from "aframe";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
import { Vector3 } from "three";
import { CodeRealityComponentController } from "../CodeRealityComponentController";
export declare class UserNameController extends CodeRealityComponentController {
    static DEFINITION: ComponentControllerDefinition;
    labelElement: Entity | undefined;
    size: Vector3;
    initialized: boolean;
    cameraPosition: Vector3;
    labelPosition: Vector3;
    lastDirection: Vector3;
    lastLabelNormal: Vector3;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
}
