import { Component, Entity } from "aframe";
import { Vector3 } from "three";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
import { CodeRealityComponentController } from "../CodeRealityComponentController";
/**
 * Modified from https://github.com/nylki/aframe-fit-texture-component.
 */
export declare class BillboardController extends CodeRealityComponentController {
    static DEFINITION: ComponentControllerDefinition;
    width: number | undefined;
    height: number | undefined;
    geometryWidth: number | undefined;
    geometryHeight: number | undefined;
    heightCorrection: number | undefined;
    cameraPosition: Vector3;
    billboardPosition: Vector3;
    cameraLastPosition: Vector3;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
    applyTransformation(): void;
}
