import { Vector3 } from "three";
/**
 * Snaps vector to axis aligned grid.
 * @param vector the vector
 * @param step the grid step
 */
export declare function snapVector3ToAxisAlignedGrid(vector: Vector3, step: number): Vector3;
/**
 * Snap number to grid.
 * @param number the number
 * @param step the grid step
 */
export declare function snapNumberToAxisAlignedGrid(number: number, step: number): number;
