"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Button_1 = require("../model/Button");
const CodeRealityComponentController_1 = require("../../../component/CodeRealityComponentController");
class AbstractControllerDevice extends CodeRealityComponentController_1.CodeRealityComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
        this.controllerName = "";
    }
    getStickButton(x, y) {
        var angle = Math.atan2(y, x) * 180 / Math.PI;
        if (angle >= -45 && angle < 45) {
            return Button_1.Button.RIGHT;
        }
        else if (angle >= 45 && angle < 135) {
            return Button_1.Button.UP;
        }
        else if (angle >= 135 || angle <= -135) {
            return Button_1.Button.LEFT;
        }
        else {
            return Button_1.Button.DOWN;
        }
    }
}
exports.AbstractControllerDevice = AbstractControllerDevice;
//# sourceMappingURL=AbstractControllerDevice.js.map