import { Component, Entity } from "aframe";
import { Device } from "../Device";
import { Slot } from "../model/Slot";
import { Button } from "../model/Button";
import { PointerTool } from "./PointerTool";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
export declare class RemoveObjectTool extends PointerTool {
    static DEFINITION: ComponentControllerDefinition;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    tick(time: number, timeDelta: number): void;
    buttonDown(device: Device, toolSlot: Slot, button: Button): void;
    buttonUp(device: Device, toolSlot: Slot, button: Button): void;
    private removeEntity;
}
