import { Scene, System } from "aframe";
import { Mesh, MeshBasicMaterial, SphereGeometry } from "three";
import { AbstractSystemController, SystemControllerDefinition } from "aframe-typescript-boilerplate";
export declare class LoaderSystemController extends AbstractSystemController {
    sceneEl: Scene;
    loadingCounter: number;
    added: boolean;
    loaderGeometry: SphereGeometry;
    loaderMaterial: MeshBasicMaterial;
    loaderObject: Mesh;
    sphereGeometry: SphereGeometry;
    sphereMaterial: MeshBasicMaterial;
    sphereMesh1: Mesh;
    sphereMesh2: Mesh;
    sphereMesh3: Mesh;
    static DEFINITION: SystemControllerDefinition;
    constructor(system: System, scene: Scene, data: any);
    init(): void;
    pause(): void;
    play(): void;
    progressTime: number;
    tick(time: number, timeDelta: number): void;
    increaseLoadingCounter(): void;
    decreaseLoadingCounter(): void;
}
