import { Entity } from "aframe";
import { Group } from "three";
import { ObjectMerge } from "../../three/merge_util";
export declare class MergeData {
    entity: Entity;
    childEntities: Set<Entity>;
    loadingChildEntities: Set<Entity>;
    mergingChildEntities: Set<Entity>;
    removingChildEntities: Set<Entity>;
    updatingChildEntities: Set<Entity>;
    group: Group | undefined;
    objectMerge: ObjectMerge;
    lastModificationTimeMillis: number;
    lastMergeTimeMillis: number;
    constructor(entity: Entity);
}
