import { Component, Entity } from "aframe";
import { MergeSystemController } from "./MergeSystemController";
import { AbstractComponentController, ComponentControllerDefinition } from "aframe-typescript-boilerplate";
export declare class ModelController extends AbstractComponentController {
    readonly mergeSystem: MergeSystemController;
    merge: Entity | undefined;
    static DEFINITION: ComponentControllerDefinition;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
    recursiveFindMergeParent(entity: Entity): Entity | undefined;
}
