import { Group, Object3D } from "three";
import { BufferGeometryMerge } from "./geometry_merge_util";
export declare class ObjectMerge {
    group: Group;
    geometryMerges: Map<string, BufferGeometryMerge>;
    objectOffset: number;
}
export declare function mergeObject3Ds(merge: ObjectMerge, objects: Array<Object3D>): Promise<void>;
export declare function clearObject3Ds(merge: ObjectMerge, objects: Array<Object3D>): Promise<void>;
export declare function updateObject3Ds(merge: ObjectMerge, objects: Array<Object3D>): Promise<void>;
export declare function cloneObject3D(source: Object3D): Object3D;
