"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
const AnimationFeature_1 = require("../../feature/animation/AnimationFeature");
class AnimatorController extends aframe_typescript_boilerplate_1.CompositeComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
    }
    init() {
        this.addFeature(new AnimationFeature_1.AnimationFeature(this, this.entity));
        super.init();
    }
}
AnimatorController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("animator", {}, false, true, (component, entity, data) => new AnimatorController(component, entity, data));
exports.AnimatorController = AnimatorController;
//# sourceMappingURL=AnimatorController.js.map