"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
const CodeRealityComponentController_1 = require("../CodeRealityComponentController");
class CollidableController extends CodeRealityComponentController_1.CodeRealityComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
    }
    init() {
        //console.log(this.componentName + " init: " + JSON.stringify(this.data));
        this.interface.addCollidable(this.entity.object3D);
    }
    update(data, oldData) {
        //console.log(this.componentName + " update: " + JSON.stringify(this.data));
    }
    remove() {
        //console.log(this.componentName + " remove");
        this.interface.removeCollidable(this.entity.object3D);
    }
    pause() {
        //console.log(this.componentName + " pause");
    }
    play() {
        //console.log(this.componentName + " play");
    }
    tick(time, timeDelta) {
    }
}
CollidableController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("collidable", {}, false, false, (component, entity, data) => new CollidableController(component, entity, data));
exports.CollidableController = CollidableController;
//# sourceMappingURL=CollidableController.js.map