"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
class QuaternionController extends aframe_typescript_boilerplate_1.AbstractComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
    }
    init() {
        //console.log(this.componentName + " init: " + JSON.stringify(this.data));
        const x = this.data.x;
        const y = this.data.y;
        const z = this.data.z;
        const w = this.data.w;
        this.entity.object3D.quaternion.x = x;
        this.entity.object3D.quaternion.y = y;
        this.entity.object3D.quaternion.z = z;
        this.entity.object3D.quaternion.w = w;
    }
    update(data, oldData) {
        const x = data.x;
        const y = data.y;
        const z = data.z;
        const w = data.w;
        this.entity.object3D.quaternion.x = x;
        this.entity.object3D.quaternion.y = y;
        this.entity.object3D.quaternion.z = z;
        this.entity.object3D.quaternion.w = w;
    }
    remove() {
        //console.log(this.componentName + " remove");
    }
    pause() {
        //console.log(this.componentName + " pause");
    }
    play() {
        //console.log(this.componentName + " play");
    }
    tick(time, timeDelta) {
    }
}
QuaternionController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("quaternion", {
    type: 'vec4'
}, false, false, (component, entity, data) => new QuaternionController(component, entity, data));
exports.QuaternionController = QuaternionController;
//# sourceMappingURL=QuaternionController.js.map