import { Component, Entity } from "aframe";
import { AbstractComponentController, ComponentControllerDefinition } from "aframe-typescript-boilerplate";
/**
 * Modified from https://github.com/nylki/aframe-fit-texture-component.
 */
export declare class PictureController extends AbstractComponentController {
    static DEFINITION: ComponentControllerDefinition;
    width: number | undefined;
    height: number | undefined;
    geometryWidth: number | undefined;
    geometryHeight: number | undefined;
    heightCorrection: number | undefined;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
    applyTransformation(): void;
}
