"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
const CodeRealityComponentController_1 = require("../../component/CodeRealityComponentController");
class InterfaceController extends CodeRealityComponentController_1.CodeRealityComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
        //console.log(this.componentName + " init: " + JSON.stringify(this.data));
        this.interface.setInterfaceController(this);
    }
    init() {
    }
    update(data, oldData) {
        //console.log(this.componentName + " update: " + JSON.stringify(this.data));
    }
    remove() {
        //console.log(this.componentName + " remove");
    }
    pause() {
        //console.log(this.componentName + " pause");
    }
    play() {
        //console.log(this.componentName + " play");
    }
    tick(time, timeDelta) {
    }
}
InterfaceController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("interface", {}, false, false, (component, entity, data) => new InterfaceController(component, entity, data));
exports.InterfaceController = InterfaceController;
//# sourceMappingURL=InterfaceController.js.map