import { Button } from "../model/Button";
import { Component, Entity } from "aframe";
import { CodeRealityComponentController } from "../../../component/CodeRealityComponentController";
export declare abstract class AbstractControllerDevice extends CodeRealityComponentController {
    protected controllerName: string;
    protected axis: Array<number> | undefined;
    protected lastStickButton: Button | undefined;
    constructor(component: Component, entity: Entity, data: any);
    getStickButton(x: number, y: number): Button;
}
