import { Component, Entity } from "aframe";
import { Device } from "../Device";
import { Button } from "../model/Button";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
import { CodeRealityComponentController } from "../../../component/CodeRealityComponentController";
export declare class PrimaryControllerDevice extends CodeRealityComponentController implements Device {
    static DEFINITION: ComponentControllerDefinition;
    private controllerName;
    private axis;
    private lastStickButton;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    trackPadDown(detail: any): void;
    trackPadUp(detail: any): void;
    axisMove(detail: any): void;
    getStickButton(x: number, y: number): Button;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
}
