import { Component, Entity } from "aframe";
import { Device } from "../Device";
import { AbstractControllerDevice } from "./AbstractControllerDevice";
import { ComponentControllerDefinition } from "aframe-typescript-boilerplate";
export declare class SecondaryControllerDevice extends AbstractControllerDevice implements Device {
    static DEFINITION: ComponentControllerDefinition;
    constructor(component: Component, entity: Entity, data: any);
    init(): void;
    trackPadDown(detail: any): void;
    trackPadUp(detail: any): void;
    axisMove(detail: any): void;
    update(data: any, oldData: any): void;
    remove(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
}
