"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aframe_typescript_boilerplate_1 = require("aframe-typescript-boilerplate");
class MergeController extends aframe_typescript_boilerplate_1.AbstractComponentController {
    constructor(component, entity, data) {
        super(component, entity, data);
        this.mergeSystem = aframe_typescript_boilerplate_1.getSystemController(this.entity.sceneEl, "merge");
    }
    init() {
        //console.log(this.componentName + " init: " + JSON.stringify(this.data));
        this.mergeSystem.addMerge(this.entity);
    }
    update(data, oldData) {
        //console.log(this.componentName + " update: " + JSON.stringify(this.data));
    }
    remove() {
        this.mergeSystem.removeMerge(this.entity);
        //console.log(this.componentName + " remove");
    }
    pause() {
        //console.log(this.componentName + " pause");
    }
    play() {
        //console.log(this.componentName + " play");
    }
    tick(time, timeDelta) {
    }
}
MergeController.DEFINITION = new aframe_typescript_boilerplate_1.ComponentControllerDefinition("merge", {}, false, false, (component, entity, data) => new MergeController(component, entity, data));
exports.MergeController = MergeController;
//# sourceMappingURL=MergeController.js.map