import { Entity, Scene, System } from "aframe";
import { AbstractSystemController, SystemControllerDefinition } from "aframe-typescript-boilerplate";
export declare class UiSystemController extends AbstractSystemController {
    static DEFINITION: SystemControllerDefinition;
    uiFrame: Entity;
    viewStack: Array<Element>;
    constructor(system: System, scene: Scene, data: any);
    init(): void;
    pause(): void;
    play(): void;
    tick(time: number, timeDelta: number): void;
    show(): void;
    hide(): void;
    pushView(viewTemplate: string): void;
    popView(): void;
}
