"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const reality_space_1 = require("reality-space");
const config_1 = __importDefault(require("config"));
function getClusterConfig() {
    return __awaiter(this, void 0, void 0, function* () {
        const clusterConfigurationUrl = config_1.default.get('Cluster.configurationUrl');
        return yield reality_space_1.getClusterConfiguration(clusterConfigurationUrl);
    });
}
exports.getClusterConfig = getClusterConfig;
function getIdTokenIssuers() {
    return __awaiter(this, void 0, void 0, function* () {
        return (yield getClusterConfig()).idTokenIssuers;
    });
}
exports.getIdTokenIssuers = getIdTokenIssuers;
//# sourceMappingURL=util.js.map